:root{

    --color-primary: #003a68;
    --color-sidebar: #051624;
    --color-secondary: #84cbd3;
    --color-black: #000;
    --color-white: #fff;
    --color-light-gray: #e9ecef;
}

@keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(359deg);
        transform: rotate(359deg);
    }
}

.bi-spin {
    animation: spin 1s infinite linear;
    display: inline-block;
}
.bi.bi-bold:before, .bi.bi-plus-lg::before, .bi.bi-dash-lg::before {
    font-weight: 700 !important;
}

.floorIcon.negative::after{
    background: #8db1be;
    display: block;
    content: ' ';
    width: 50%;
    height: 0.3rem;
    position: absolute;
    top: 52%;
    left: -61%;
}

/* ------------------- */

.content-wrapper{
    min-height: calc(100vh - 115px);
}

[class*="sidebar-dark-"] {
    background-color: var(--color-sidebar);
}


body:not(.layout-fixed) .main-sidebar {
    position: fixed;
    overflow-x: hidden;
}

.sidebar{padding: 0;}
.sidebar .bi{vertical-align: middle;}

.nav-item .nav-link span{
    line-height: 100%;
    vertical-align: middle;
}

.nav-item .nav-link span+i{
    margin-top: -2px;
}


.nav-item .nav.nav-treeview .nav-link {
    transition: var(--transition-md);
}

.brand-bg{
    position: absolute;height: 100%;object-fit: contain;top:0;right:-50px;opacity: 0.45;
}

.sidebar-dark-primary .nav-sidebar > .nav-item > .nav-link.active, .sidebar-light-primary .nav-sidebar > .nav-item > .nav-link.active,
[class*="sidebar-dark-"] .nav-sidebar > .nav-item.menu-open > .nav-link, [class*="sidebar-dark-"] .nav-sidebar > .nav-item:hover > .nav-link, [class*="sidebar-dark-"] .nav-sidebar > .nav-item > .nav-link:focus {
    background-color: var(--candal-secondary);
    color: var(--color-black);
}

.nav-item.menu-is-opening > .nav-treeview,.nav-item.menu-open > .nav-treeview{
    background: #3f474e !important;
}
.nav-item.menu-is-opening > .nav-treeview, .nav-item.menu-open > .nav-treeview {
    background: #203242 !important;
    border-bottom-right-radius: 30px;
}
.nav-item.menu-is-opening > .nav-treeview > li:last-of-type > a, .nav-item.menu-open > .nav-treeview > li:last-of-type > a {
    border-bottom-right-radius: 30px;
}
.nav-sidebar .nav.nav-treeview > .nav-item {
    margin-bottom: 0;
}

.nav-sidebar .nav-item {margin-bottom: 5px;}
.nav-sidebar .nav-item > .nav-link {margin-bottom: 0;}
.nav-sidebar.nav-pills .nav-link {border-radius: 0;}
.nav-sidebar.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    background-color: rgba(255, 255, 255, .1);
}

[class*="sidebar-dark-"] .nav-sidebar > .nav-item > .nav-link.active {
    box-shadow: none;
}


/* ------------------- */

.small-box h4{text-transform: uppercase;font-weight: 700;}

.small-box:hover{
    box-shadow: none !important;
}


.small-box .icon > i.bi,.small-box .icon > i.ion {
    top: 5px
}

.small-box:hover .icon > i, .small-box:hover .icon > i.bi,  .small-box:hover .icon > i.ion {
    transform: none;
}

.small-box > .small-box-footer {
    color: var(--color-black);
    transition: 0.35s;
}

.small-box > .small-box-footer:hover {
    background-color: var(--color-sidebar);
    color: #fff;
}


.card .card-header >  [data-card-widget="collapse"]:first-child{
    cursor: pointer;
    transition: 0.25s;
}
.card .card-header >  [data-card-widget="collapse"]:first-child:hover{
    color: #007bff;
}